summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2018-11-30 01:22:21 +0100
committerLucki2018-11-30 01:22:21 +0100
commitf5827c9b76ba3bb62aaa6c1202b71cbcf3626d10 (patch)
tree2553ca4e19c9c8165e7b99a352a18feedb877959
parent48c9cb9e121a557e6cb550d250411b97db7ced6d (diff)
downloadaur-f5827c9b76ba3bb62aaa6c1202b71cbcf3626d10.tar.gz
Update to v0.9.22
-rw-r--r--.CHANGELOG37
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD276
3 files changed, 179 insertions, 142 deletions
diff --git a/.CHANGELOG b/.CHANGELOG
index ad3189d7612..414ac093d69 100644
--- a/.CHANGELOG
+++ b/.CHANGELOG
@@ -1,6 +1,43 @@
Version history
===============
+0.9.22
+------
+
+2018-11-30
+
+Include xmas2018: a new singleplayer pack with 24 holiday-themed levels.
+
+Fix #350: In singleplayer, the splat ruler button tooltip claimed falsely
+that this button also pings hatches and exits, but it does that only in
+multiplayer. Fixed this tooltip. (Issue #301 remains: In multiplayer, this
+button should be functionally split into two buttons.)
+
+Support 64-bit Windows builds with LDC >= 1.13.0-beta2. I encourage all
+Windows users to choose the 64-bit build over the 32-bit build, hoping to
+avoid the out-of-RAM crashes on large maps.
+
+Binary downloads are now hosted on github, not on Lix's homepage.
+
+Binary download archives carry a version number in their filename and unpacked
+Lix directory. With self-contained Lix (i.e., not installed system-wide via a
+Linux package manager), you should still update existing self-contained Lix as
+usual by copying your user files, custom levels, and replays from the old
+directory into the new.
+
+Fix #369: When you build from source and choose a debugging version instead
+of a release version, Lix will start windowed by default, not with software
+fullscreen. User options can override this as usual.
+
+Updated the DAllegro5 bindings to 4.0.4+5.2.0 and removed Lix's allegro-color
+dependency on all platforms.
+
+Many refactorings in the source code for physics updates. No physics changes.
+This will be useful in case I manage efficient skill blueprints a.k.a. skill
+shadows.
+
+
+
0.9.21
------
diff --git a/.SRCINFO b/.SRCINFO
index a75417bbeb2..0daf1173c6e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = lix
pkgdesc = An action-puzzle game inspired by Lemmings
- pkgver = 0.9.21
+ pkgver = 0.9.22
pkgrel = 1
url = http://www.lixgame.com/
changelog = .CHANGELOG
@@ -13,10 +13,10 @@ pkgbase = lix
depends = allegro
depends = enet
depends = hicolor-icon-theme
- source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.21
+ source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.22
source = lix-music-1.zip::http://www.lixgame.com/dow/lix-music.zip
source = lix.desktop
- source = allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v4.0.3+5.2.0
+ source = allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v4.0.4+5.2.0
source = bolts::git+https://github.com/aliak00/bolts.git#tag=v0.7.1
source = derelict-enet::git+https://github.com/DerelictOrg/DerelictENet.git#tag=v4.1.0
source = derelict-util::git+https://github.com/DerelictOrg/DerelictUtil.git#tag=v3.0.0-beta.2
@@ -25,7 +25,7 @@ pkgbase = lix
source = optional::git+https://github.com/aliak00/optional.git#tag=v0.6.3
source = sdlang-d::git+https://github.com/Abscissa/SDLang-D.git#tag=v0.10.4
source = silly::git+https://github.com/ohdatboi/silly.git#tag=v0.8.0
- source = taggedalgebraic::git+https://github.com/s-ludwig/taggedalgebraic.git#tag=v0.10.11
+ source = taggedalgebraic::git+https://github.com/s-ludwig/taggedalgebraic.git#tag=v0.10.12
source = unit-threaded::git+https://github.com/atilaneves/unit-threaded.git#tag=v0.7.52
sha512sums = SKIP
sha512sums = 37349c98b739ea43c25137dd03865f1c9c41eec91e5edc109afd9d50ce3871bd0c7f63c3f3599a47bb4ef52f5bfd14e034010de0ac2aec5a9c0c83eaf0b89425
diff --git a/PKGBUILD b/PKGBUILD
index 04706c3282f..46523bc798c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,180 +2,180 @@
# Contributor: Carl Reinke <mindless2112 gmail com>
pkgname=lix
-pkgver=0.9.21
+pkgver=0.9.22
pkgrel=1
changelog=.CHANGELOG
source=("${pkgname}::git+https://github.com/SimonN/LixD.git#tag=v${pkgver}")
sha512sums=('SKIP')
_pkgname=${pkgname}
-# template start; name=lix; version=1.1;
+# template start; name=lix; version=1.2;
pkgdesc="An action-puzzle game inspired by Lemmings"
arch=('i686' 'x86_64')
url="http://www.lixgame.com/"
license=('custom:CC0')
depends=('allegro' 'enet' 'hicolor-icon-theme')
makedepends=('git' 'dmd' 'dub')
-_dubv=( "4.0.3+5.2.0" # allegro
- "0.7.1" # bolts
- "4.1.0" # derelict-enet
- "3.0.0-beta.2" # derelict-util
- "0.4.2" # enumap
- "1.2.2" # libinputvisitor
- "0.6.3" # optional
- "0.10.4" # sdlang-d
- "0.8.0" # silly
- "0.10.11" # taggedalgebraic
- "0.7.52" # unit-threaded
- )
+_dubv=( "4.0.4+5.2.0" # allegro
+ "0.7.1" # bolts
+ "4.1.0" # derelict-enet
+ "3.0.0-beta.2" # derelict-util
+ "0.4.2" # enumap
+ "1.2.2" # libinputvisitor
+ "0.6.3" # optional
+ "0.10.4" # sdlang-d
+ "0.8.0" # silly
+ "0.10.12" # taggedalgebraic
+ "0.7.52" # unit-threaded
+ )
# let makepkg handle dub packages
# https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git_Submodules
-source+=( "${_pkgname}-music-1.zip::http://www.lixgame.com/dow/lix-music.zip"
- "${_pkgname}.desktop"
- )
-sha512sums+=( '37349c98b739ea43c25137dd03865f1c9c41eec91e5edc109afd9d50ce3871bd0c7f63c3f3599a47bb4ef52f5bfd14e034010de0ac2aec5a9c0c83eaf0b89425'
- '52d49562cd9be4eec76b464153af1cce2211fdbd6113a6a60df042f7e8f7e6a8f1942df883dfaaa6c1bbfea004c4154d884dfa767e25fa3fadf9c58be1103fe6'
- )
-source+=( "allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v${_dubv[0]}"
- "bolts::git+https://github.com/aliak00/bolts.git#tag=v${_dubv[1]}"
- "derelict-enet::git+https://github.com/DerelictOrg/DerelictENet.git#tag=v${_dubv[2]}"
- "derelict-util::git+https://github.com/DerelictOrg/DerelictUtil.git#tag=v${_dubv[3]}"
- "enumap::git+https://github.com/rcorre/enumap.git#tag=v${_dubv[4]}"
- "libinputvisitor::git+https://github.com/Abscissa/libInputVisitor.git#tag=v${_dubv[5]}"
- "optional::git+https://github.com/aliak00/optional.git#tag=v${_dubv[6]}"
- "sdlang-d::git+https://github.com/Abscissa/SDLang-D.git#tag=v${_dubv[7]}"
- "silly::git+https://github.com/ohdatboi/silly.git#tag=v${_dubv[8]}"
- "taggedalgebraic::git+https://github.com/s-ludwig/taggedalgebraic.git#tag=v${_dubv[9]}"
- "unit-threaded::git+https://github.com/atilaneves/unit-threaded.git#tag=v${_dubv[10]}"
- )
-sha512sums+=( 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- )
+source+=( "${_pkgname}-music-1.zip::http://www.lixgame.com/dow/lix-music.zip"
+ "${_pkgname}.desktop"
+ )
+sha512sums+=( '37349c98b739ea43c25137dd03865f1c9c41eec91e5edc109afd9d50ce3871bd0c7f63c3f3599a47bb4ef52f5bfd14e034010de0ac2aec5a9c0c83eaf0b89425'
+ '52d49562cd9be4eec76b464153af1cce2211fdbd6113a6a60df042f7e8f7e6a8f1942df883dfaaa6c1bbfea004c4154d884dfa767e25fa3fadf9c58be1103fe6'
+ )
+source+=( "allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v${_dubv[0]}"
+ "bolts::git+https://github.com/aliak00/bolts.git#tag=v${_dubv[1]}"
+ "derelict-enet::git+https://github.com/DerelictOrg/DerelictENet.git#tag=v${_dubv[2]}"
+ "derelict-util::git+https://github.com/DerelictOrg/DerelictUtil.git#tag=v${_dubv[3]}"
+ "enumap::git+https://github.com/rcorre/enumap.git#tag=v${_dubv[4]}"
+ "libinputvisitor::git+https://github.com/Abscissa/libInputVisitor.git#tag=v${_dubv[5]}"
+ "optional::git+https://github.com/aliak00/optional.git#tag=v${_dubv[6]}"
+ "sdlang-d::git+https://github.com/Abscissa/SDLang-D.git#tag=v${_dubv[7]}"
+ "silly::git+https://github.com/ohdatboi/silly.git#tag=v${_dubv[8]}"
+ "taggedalgebraic::git+https://github.com/s-ludwig/taggedalgebraic.git#tag=v${_dubv[9]}"
+ "unit-threaded::git+https://github.com/atilaneves/unit-threaded.git#tag=v${_dubv[10]}"
+ )
+sha512sums+=( 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ )
build()
{
- cd "${srcdir}/${_pkgname}" || exit
- _r=0
+ cd "${srcdir}/${_pkgname}" || exit
+ _r=0
- # add local dependencies to search path
- dub add-path "${srcdir}"
+ # add local dependencies to search path
+ dub add-path "${srcdir}"
- # force FHS compatibility with '-b releaseXDG'
- # ensure with --cache=local dub stays outside the users home directory
- dub build -f -b releaseXDG --cache=local || _r="${?}"
+ # force FHS compatibility with '-b releaseXDG'
+ # ensure with --cache=local dub stays outside the users home directory
+ dub build -f -b releaseXDG --cache=local || _r="${?}"
- # remove local dependencies from search path so dub won't find them
- # later again
- dub remove-path "${srcdir}"
+ # remove local dependencies from search path so dub won't find them
+ # later again
+ dub remove-path "${srcdir}"
- # removes any cached metadata like the list of available packages
- # and their latest version
- dub clean-caches
+ # removes any cached metadata like the list of available packages
+ # and their latest version
+ dub clean-caches
- if [[ "${_r}" != 0 ]]
- then
- # dub failed so we also fail after we removed the local dependencies
- return "${_r}"
- fi
+ if [[ "${_r}" != 0 ]]
+ then
+ # dub failed so we also fail after we removed the local dependencies
+ return "${_r}"
+ fi
}
check()
{
- cd "${srcdir}/${_pkgname}" || exit
- _r=0
+ cd "${srcdir}/${_pkgname}" || exit
+ _r=0
- # add local dependencies to search path
- dub add-path "${srcdir}"
+ # add local dependencies to search path
+ dub add-path "${srcdir}"
- # run test suite
- # ensure with --cache=local dub stays outside the users home directory
- dub test --cache=local || _r="${?}"
+ # run test suite
+ # ensure with --cache=local dub stays outside the users home directory
+ dub test --cache=local || _r="${?}"
- # remove local dependencies from search path so dub won't find them
- # later again
- dub remove-path "${srcdir}"
+ # remove local dependencies from search path so dub won't find them
+ # later again
+ dub remove-path "${srcdir}"
- # removes any cached metadata like the list of available packages
- # and their latest version
- dub clean-caches
+ # removes any cached metadata like the list of available packages
+ # and their latest version
+ dub clean-caches
- if [[ "${_r}" != 0 ]]
- then
- # dub failed so we also fail after we removed the local dependencies
- return "${_r}"
- fi
+ if [[ "${_r}" != 0 ]]
+ then
+ # dub failed so we also fail after we removed the local dependencies
+ return "${_r}"
+ fi
}
package()
{
- cd "${srcdir}" || exit
-
- # install application entry
- install -Dm644 \
- `# SRCFILE:` \
- "${_pkgname}.desktop" \
- `# DSTFILE:` \
- "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
-
- cd "${_pkgname}" || exit
-
- # install application entry icon
- install -Dm644 \
- `# SRCFILE:` \
- "data/images/${_pkgname}_logo.svg" \
- `# DSTFILE:` \
- "${pkgdir}/usr/share/icons/hicolor/scalable/apps/${_pkgname}.svg"
-
- # install license text
- install -Dm644 \
- `# SRCFILE:` \
- "doc/copying.txt" \
- `# DSTFILE:` \
- "${pkgdir}/usr/share/licenses/${_pkgname}/COPYING"
-
- # install binary
- install -Dm755 \
- `# SRCFILE:` \
- "bin/${_pkgname}" \
- `# DSTFILE:` \
- "${pkgdir}/usr/bin/${_pkgname}"
-
- # remove unimportant files
- # https://raw.githubusercontent.com/SimonN/LixD/master/doc/build/package.txt
- rm -r "${srcdir}/${_pkgname}/doc/build"
-
- # https://lists.archlinux.org/pipermail/aur-general/2011-November/016777.html
- # make directories
- mkdir -p \
- "${pkgdir}/usr/share/${_pkgname}" \
- "${pkgdir}/usr/share/doc/${_pkgname}"
-
- # copy documentary
- cp -dpr --no-preserve=ownership \
- `# SRCFILES:` \
- "doc/." \
- `# DSTDIR:` \
- "${pkgdir}/usr/share/doc/${_pkgname}/"
-
- # copy game files
- cp -dpr --no-preserve=ownership \
- `# SRCDIRS:` \
- "data" \
- "images" \
- "levels" \
- "${srcdir}/music" \
- `# DSTDIR:` \
- "${pkgdir}/usr/share/${_pkgname}"
+ cd "${srcdir}" || exit
+
+ # install application entry
+ install -Dm644 \
+ `# SRCFILE:` \
+ "${_pkgname}.desktop" \
+ `# DSTFILE:` \
+ "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
+
+ cd "${_pkgname}" || exit
+
+ # install application entry icon
+ install -Dm644 \
+ `# SRCFILE:` \
+ "data/images/${_pkgname}_logo.svg" \
+ `# DSTFILE:` \
+ "${pkgdir}/usr/share/icons/hicolor/scalable/apps/${_pkgname}.svg"
+
+ # install license text
+ install -Dm644 \
+ `# SRCFILE:` \
+ "doc/copying.txt" \
+ `# DSTFILE:` \
+ "${pkgdir}/usr/share/licenses/${_pkgname}/COPYING"
+
+ # install binary
+ install -Dm755 \
+ `# SRCFILE:` \
+ "bin/${_pkgname}" \
+ `# DSTFILE:` \
+ "${pkgdir}/usr/bin/${_pkgname}"
+
+ # remove unimportant files
+ # https://raw.githubusercontent.com/SimonN/LixD/master/doc/build/package.txt
+ rm -r "${srcdir}/${_pkgname}/doc/build"
+
+ # https://lists.archlinux.org/pipermail/aur-general/2011-November/016777.html
+ # make directories
+ mkdir -p \
+ "${pkgdir}/usr/share/${_pkgname}" \
+ "${pkgdir}/usr/share/doc/${_pkgname}"
+
+ # copy documentary
+ cp -dpr --no-preserve=ownership \
+ `# SRCFILES:` \
+ "doc/." \
+ `# DSTDIR:` \
+ "${pkgdir}/usr/share/doc/${_pkgname}/"
+
+ # copy game files
+ cp -dpr --no-preserve=ownership \
+ `# SRCDIRS:` \
+ "data" \
+ "images" \
+ "levels" \
+ "${srcdir}/music" \
+ `# DSTDIR:` \
+ "${pkgdir}/usr/share/${_pkgname}"
}
# template end;